%global dlrn_nvr sahara-image-elements-10.0.1-0.20191022211334.74d96bc
%global dlrn 1
%define upstream_version 10.0.1
%{lua: posix.setenv("RHEL_ALLOW_PYTHON2_FOR_BUILD",1)}
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif
%global pyver_bin python%{pyver}
%global pyver_sitelib %python%{pyver}_sitelib
%global pyver_install %py%{pyver}_install
%global pyver_build %py%{pyver}_build
# End of macros for py2/py3 compatibility

Name:           sahara-image-elements
Epoch:          1
Version: 10.0.1
Release: 0.20191022211334.74d96bc%{?dist}
Summary:        Image creation tools for Openstack Sahara

License:        ASL 2.0
URL:            https://launchpad.net/sahara
Source0: sahara-image-elements-10.0.1-0.20191022211334.74d96bc.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=74d96bcc67de37e828f77ca690e1229ba0082662

#

BuildArch:      noarch

BuildRequires: python%{pyver}-devel
BuildRequires: python%{pyver}-setuptools
BuildRequires: python%{pyver}-pbr >= 2.0.0

Requires: dib-utils
Requires: diskimage-builder >= 2.11.0
Requires: rsync
Requires: wget
Requires: qemu-kvm
Requires: qemu-img
Requires: kpartx
Requires: git

%description
Sahara-image-elements provides the ability to create the images necessary to generate data processing clusters
in Sahara.

%prep
%setup -q -n sahara-image-elements-%{upstream_version}

%build
%{pyver_build}

%install
%{pyver_install}

%files
%doc AUTHORS LICENSE ChangeLog
%{_bindir}/sahara-image-create
%{_bindir}/diskimage-create.sh
%{_datadir}/sahara-elements
%{pyver_sitelib}/sahara_image_elements-%{upstream_version}-py?.?.egg-info

%changelog
* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> 1:10.0.1-1
- Update patches

* Mon Sep 16 2019 OSP Prod Chain <dev-null@redhat.com> 1:10.0.0-1
- Update patches
- Allow qemu-utils to be used to build image

* Wed Apr 10 2019 RDO <dev@lists.rdoproject.org> 1:10.0.0-1
- Update to 10.0.0

* Wed Mar 27 2019 RDO <dev@lists.rdoproject.org> 1:10.0.0-0.1.0rc1
- Update to 10.0.0.0rc1

